# Smart-ID

Smart-ID is a free app that serves as a convenient digital identity card. It can be used for secure authentication, digital signing and validation of agreements or transactions. It provides a method for verifying a person's identity online in a similar manner to presenting a physical identification document in person. Smart-ID is compatible with smartphones and tablets. It is accepted by state institutions, banks, and enterprises in Estonia, Latvia and Lithuania.

### What kind of data I will get

Smart-ID allows you to secure and authenticate your digital transactions, which may include personal data, financial data or any kind of sensitive information. For example, you can use it for secure online banking, e-services and legal transactions. The data processed includes  first and last name, date of birth, personal identification number and country.

### Input

User needs to provide individual document number.

```
{
    "documentNumber": "PNOEE-50001029996-MOCK-Q"
}
```

### Mock Input

Below you can find mock numbers which you can use to explore and test various features and behaviors of the application.

<table><thead><tr><th width="174">End Result</th><th width="96">Country</th><th width="293">Document Number</th><th>Comment</th></tr></thead><tbody><tr><td>OK</td><td><p>EE </p><p>LT </p><p>LV</p><p> BE</p></td><td><p>PNOEE-50001029996-MOCK-Q </p><p>PNOLT-50001029996-MOCK-Q </p><p>PNOLV-020100-29990-MOCK-Q </p><p>PNOBE-00010299944-MOCK-Q</p></td><td>Adult</td></tr><tr><td>OK</td><td><p>EE</p><p>LT</p><p>LV</p></td><td>PNOEE-30303039816-MOCK-Q PNOLT-30303039816-MOCK-Q PNOLV-030303-10215-MOCK-Q</td><td>User has other active account</td></tr><tr><td>OK</td><td><p>EE</p><p>LT</p><p>LV</p></td><td>PNOEE-50701019992-MOCK-Q PNOLT-50701019992-MOCK-Q PNOLV-010107-20007-MOCK-Q PNOLV-329999-88807-MOCK-Q</td><td>User age is under 18 (01.01.2007)</td></tr><tr><td>OK</td><td><p>EE</p><p>LT</p><p>LV</p></td><td>PNOEE-30303039903-MOCK-Q PNOLT-30303039903-MOCK-Q PNOLV-030303-10004-MOCK-Q</td><td>No numbers in names</td></tr><tr><td>OK</td><td>LV</td><td>PNOLV-311299-19993-MOCK-Q PNOLV-329999-99901-MOCK-Q</td><td>dateOfBirth in separate field</td></tr><tr><td>OK</td><td>LV</td><td>PNOLV-329999-99709-MOCK-Q</td><td>No dateOfBirth in separate field</td></tr><tr><td>USER_REFUSED _DISPLAYTEXTANDPIN</td><td><p>EE </p><p>LT </p><p>LV</p></td><td>PNOEE-30403039928-MOCK-Q PNOLT-30403039928-MOCK-Q PNOLV-030403-10024-MOCK-Q</td><td>v1 response USER_REFUSED<br></td></tr><tr><td>USER_REFUSED _VC_CHOICE</td><td><p>EE </p><p>LT </p><p>LV</p></td><td>PNOEE-30403039939-MOCK-Q PNOLT-30403039939-MOCK-Q PNOLV-030403-10032-MOCK-Q</td><td>v1 response USER_REFUSED</td></tr><tr><td>USER_REFUSED _CONFIRMATIONMESSAGE</td><td><p>EE </p><p>LT </p><p>LV</p></td><td>PNOEE-30403039946-MOCK-Q PNOLT-30403039946-MOCK-Q PNOLV-030403-10040-MOCK-Q</td><td>v1 response USER_REFUSED</td></tr><tr><td>USER_REFUSED<br><em>CONFIRMATIONMESSAGE</em><br>WITH_VC_CHOICE</td><td><p>EE </p><p>LT </p><p>LV</p></td><td>PNOEE-30403039950-MOCK-Q PNOLT-30403039950-MOCK-Q PNOLV-030403-10059-MOCK-Q</td><td>v1 response USER_REFUSED<br></td></tr><tr><td>USER_REFUSED _CERT_CHOICE</td><td><p>EE </p><p>LT </p><p>LV</p></td><td>PNOEE-30403039961-MOCK-Q PNOLT-30403039961-MOCK-Q PNOLV-030403-10067-MOCK-Q</td><td>v1 response USER_REFUSED<br></td></tr><tr><td>WRONG_VC</td><td><p>EE </p><p>LT </p><p>LV</p></td><td>PNOEE-30403039972-MOCK-Q PNOLT-30403039972-MOCK-Q PNOLV-030403-10075-MOCK-Q</td><td></td></tr><tr><td>TIMEOUT</td><td><p>EE </p><p>LT </p><p>LV</p></td><td>PNOEE-30403039983-MOCK-Q PNOLT-30403039983-MOCK-Q PNOLV-030403-10083-MOCK-Q</td><td></td></tr></tbody></table>

### Output

| Attribute      | Type   | Description                                          |
| -------------- | ------ | ---------------------------------------------------- |
| givenName      | string | First name of verified user.                         |
| surname        | string | Last name of verified user.                          |
| identityNumber | string | Identity number of verified user.                    |
| country        | string | Country of verified user.                            |
| dateOfBirth    | string | Date of birth of verified user in RRRR-MM-DD format. |

### Output Example

```
{
    "verification": {
      "givenName": "Jan",
      "surname": "Kowalski",
      "identityNumber": "50001029996",
      "country": "EE",
      "dateOfBirth": "2000-01-02"
    }
  }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/smart-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
